Name:		trigger-rally
Version:	0.6.5
Release:	%mkrel 1
Summary:	3D rally racing game
Group:		Games/Simulation
License:	GPLv2+
Url:		http://trigger-rally.sourceforge.net
Source0:	http://downloads.sourceforge.net/trigger-rally/%{name}-%{version}.tar.gz
# Manpage from Debian
Source1:	%{name}.6
Patch0:		trigger-rally-0.6.5-disable-strip.patch
Patch1:		trigger-rally-0.6.5-libs.patch

BuildRequires:	physfs-devel
BuildRequires:	pkgconfig(freealut)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(tinyxml2)
Requires:	%{name}-data >= %{version}

%description
Trigger is a fast-paced open source rally racing game.

%package data
Summary:	Data files for the Trigger Rally game
BuildArch:	noarch

# Previously in a separate SRPM
Obsoletes:	trigger-rally-data < 0.6.5-1

%description data
Arch independent data files for the Trigger Rally game.

%prep
%setup -q
%autopatch -p1

# Make sure we don't use embedded tinyxml
rm -rf src/TinyXML2
rm -rf src/include/tinyxml2.h

%build
%make_build -C src

%install
install -D -m755 bin/%{name} %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a data/data.{md5,zip} %{buildroot}%{_gamesdatadir}/%{name}/

install -D -m644 bin/%{name}.config.defs %{buildroot}%{_sysconfdir}/%{name}.config.defs
ln -s %{_sysconfdir}/%{name}.config.defs %{buildroot}%{_gamesdatadir}/%{name}/%{name}.config.defs

for size in 16 22 24 32 36 48 64 72 96 128 192 256; do
  install -D -m644 data/icon/trigger-${size}.png %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done
install -D -m644 data/icon/%{name}-icons.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

install -D -m644 %{_sourcedir}/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Trigger Rally
GenericName=Racing game
GenericName[de_DE]=Autorennen
GenericName[fr_FR]=Jeu de course
GenericName[ro_RO]=Joc cu curse
Comment=3D rally racing game
Comment[de_DE]=3D Rally-Autorennen
Comment[fr_FR]=un jeu de rally en 3D
Comment[ro_RO]=Un joc în 3D cu curse de raliu
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;SportsGame;
EOF

%files
%doc doc/DATA_AUTHORS.txt doc/README.txt doc/README-stereo.txt
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*

%files data
%config(noreplace) %{_sysconfdir}/%{name}.config.defs
%{_gamesdatadir}/%{name}/


%changelog
* Fri Dec 23 2016 akien <akien> 0.6.5-1.mga6
+ Revision: 1076579
- Version 0.6.5
- Uses SDL2 and (unbundled) TinyXML2
- Package data in same source tarball/SRPM
- Switch to plain GNU makefiles

* Wed Feb 17 2016 umeabot <umeabot> 0.6.2-3.mga6
+ Revision: 963094
- Mageia 6 Mass Rebuild

* Thu Aug 27 2015 sander85 <sander85> 0.6.2-2.mga6
+ Revision: 870215
- Rebuild for glew 1.13.0

* Wed Jun 24 2015 akien <akien> 0.6.2-1.mga6
+ Revision: 842181
- Version 0.6.2

* Sun Dec 07 2014 akien <akien> 0.6.1-1.mga5
+ Revision: 801867
- Version 0.6.1
- Patches from Debian to build against system glew and tinyxml
- Use trigger-rally name consistently
- Manpage from Debian
- Desktop category is now SportsGame

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-8.mga5
+ Revision: 744046
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-7.mga5
+ Revision: 689951
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-6.mga4
+ Revision: 519719
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.6.0-5.mga3
+ Revision: 384790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 0.6.0-4.mga3
+ Revision: 343844
- updated RPM group

* Fri Nov 16 2012 zezinho <zezinho> 0.6.0-3.mga3
+ Revision: 318982
- spec cleanup

* Tue Mar 06 2012 zezinho <zezinho> 0.6.0-2.mga2
+ Revision: 220512
- remove soundwrapper from menu as it is not used anymore

* Sun Dec 11 2011 zezinho <zezinho> 0.6.0-1.mga2
+ Revision: 180786
- new version

* Wed Sep 28 2011 zezinho <zezinho> 0.5.2.1-5.mga2
+ Revision: 150056
- imported package trigger-rally

